List employer campaigns and statuses
GET/v1/campaigns
Lists an employer's campaigns and their statuses. Results might be paginated.
Example: List active campaigns, up to 100 per page:
https://apis.indeed.com/ads/v1/campaigns?status=ACTIVE&perPage=100| OAuth scope | Access token type |
|---|---|
employer.advertising.campaign.read | Access token that represents an employer. |
Request
Query Parameters
Default value: 30
Maximum number of campaigns returned in the response. The response might contain fewer campaigns than the requested maximum, even if more results are available. Be sure to always check the response for the presence of another page of results. Maximum limit is 500 campaigns in a single page.
Position within a paginated response. The value corresponding to the next page of results is included in the response if more results are available.
Possible values: [ACTIVE, DELETED, PAUSED]
Campaign status. To filter the results by campaign status, pass one of ACTIVE, DELETED or PAUSED. Defaults to returning campaigns in all statuses.
Possible values: [SOURCE, HOSTED]
Job type. To filter the results by the type of job sponsored by the campaign, pass either SOURCE (jobs gathered from the web, or sent to Indeed using an XML feed) or HOSTED (jobs posted using the Post a Job page). Defaults to returning campaigns with either type of job.
Comma-separated list of fields to include in the response. Valid values are Id, Name, Status, NonSpendingReasons, Type, CurrencyCode, TrackingToken, StartDate, FixedEndDate, TargetEndDate, BudgetOnetimeLimit, BudgetMonthlyLimit, FundingSource, SponsorshipPlan, and DailyAvgBudgetPerJob. Default is Id,Name,Status.
Comma-separated list of campaignIds for which to list campaigns. Supports up to 50 campaign IDs. Supports only the fields query parameter.
Responses
- 200
- 400
- 401
- 403
- 500
List campaigns. If no matching campaigns are found and you omit the campaignIds parameter, returns an empty data.Campaigns array and the HTTP 200 status code.
The results might be paginated. If more results are available, the meta.links array contains an item with the "rel": "next" property. Append the value of the href property to the base URL to retrieve the next page of results.
Note: Currently the next URL won't include other parameters except the start parameter. If you used non-default values for perPage, status, or type, append them to the URL. This requirement might change in future API versions.
- application/json
- Schema
- Example (from schema)
- Default fields
- With Non Spending Reasons
- With CampaignIds Param
- With More Fields
Schema
Array [
]
Array [
up: The related resource is a collection that contains the requested resource, or an entity that the requested resource is attached to.next: The next page of entries in a paginated result.prev: The previous page of entries in a paginated result.]
BALANCE: Get the most total applications for your budget, while balancing across jobs.MAXIMUM: Get the most total applications for your budget, without balancing clicks across.QUICK: Five day campaign with higher budget for faster results. Sponsored Jobs API does not currently support creating or modifying campaigns with this objective. However, the Sponsored Jobs API does allow for retrieving campaign reports for campaigns with this objective type (these campaigns would have been created using Indeed for Employers).TARGET_APPLICATIONS: Aim to reach the number of applications specified bytarget. When the target number of applications is hit, spend on these jobs is significantly reduced and allocated elsewhere.TARGET_COST_PER_APPLICATION: Aim to keep the cost per application below the number specified bytarget.SCHEDULED_INTERVIEWS: Send screened candidates straight to interview. Aim to reach the number of interviews specified bytarget. This objective requires an active Indeed Hiring Platform subscription, and should only be used when the customer is prepared to create hiring events for the included jobs.- BALANCE
- MAXIMUM
- QUICK
- TARGET_APPLICATIONS
- TARGET_COST_PER_APPLICATION
- SCHEDULED_INTERVIEWS
Array [
Array [
BEFORE_START_DATE: The current date in US Central Time is before the campaign start date.AFTER_END_DATE: The current date in US Central Time is on or after the campaign end date.ACCOUNT_MONTHLY_BUDGET_HIT: The employer account has already spent its budget this month.MONTHLY_BUDGET_HIT: The campaign has already spent its budget this month.ONETIME_BUDGET_HIT: The campaign has already spent its budget.JOB_SOURCE_NOT_VERIFIED: The job source hasn't been verified by Indeed yet.BILLING_PENDING: The employer account doesn't have valid billing information.USER_PAUSED_CAMPAIGN: Campaign has been paused, as requested.USER_DELETED_CAMPAIGN: The campaign has been deleted as requested.TARGET_APPLICATIONS_HIT: The campaign has already received the requested number of applications.OTHER: Unknown reason.]
- Bonus Sponsored Job Credits: Funded with Annual Deals bonus credits.
- Budget: Funded with regular budget.
]
meta
object
Response-related metadata.
HTTP status code of the response.
errors
object[]
Any errors that prevented successful processing of the request. If there were no errors, the value is null.
Name of the error.
Human-readable description of the problem.
Base URL of the Sponsored Jobs API.
For endpoints that return paginated results, the effective maximum number of entries returned on one page. The value may be smaller than the maximum you requested with the perPage parameter. If the endpoint returns a single result or doesn't paginate, the value is null.
links
object[]
Resources related to the requested resource.
The relationship between the requested resource and the related resource. These values are commonly used:
However, the value may also be an arbitrary string describing the relationship, such as Campaign Info.
Endpoint URL of the related resource. Can contain query string parameters. To get the complete URL, append the href to rootLocation.
objective
object
Specifies the hiring goals that the campaign is intended to achieve, and makes the campaign into an objective-based campaign. The value is a JSON object with an objectiveType field specifying the campaign objective, and for some objective types, a target field identifying the specific goal metric.
For example, if the goal of the campaign is to supply 10 apps, set the objective to:
{ "objectiveType": "TARGET_APPLICATIONS", "target": 10}You can add an objective to a campaign that doesn't have one, and change the target value of an objective. However, you cannot remove an objective or change its objectiveType.
objectiveType
string
Possible values: [BALANCE, MAXIMUM, QUICK, TARGET_APPLICATIONS, TARGET_COST_PER_APPLICATION, SCHEDULED_INTERVIEWS]
The campaign objective. The available values are:
Campaigns created outside your app can use latest objective types. See Ensure compatibility with API changes that your app does not support yet. To handle unexpected objectiveType values, ensure your app has fallback logic.
any
any
any
Number of apps that the campaign seeks to reach.
Cost per app that the campaign should stay below, in the employer account's currency. Sponsored Jobs API parses, stores and returns the value as an exact decimal fraction, not a floating point number.
Number of interviews that the campaign should reach.
data
object
Campaigns
object[]
Possible values: non-empty and <= 250 characters
Campaign name. Use to identify the campaign later. The name must be unique within your employer account.
Campaign ID. Automatically generated when the campaign is created.
Possible values: [ACTIVE, DELETED, PAUSED]
Default value: ACTIVE
Campaign status. PAUSED creates a campaign that does not start sponsoring jobs until you manually enable it, or temporarily stops a campaign from sponsoring jobs.
NonSpendingReasons
object[]
List of reasons that are currently preventing the campaign from sponsoring jobs.
Possible values: [BEFORE_START_DATE, AFTER_END_DATE, ACCOUNT_MONTHLY_BUDGET_HIT, MONTHLY_BUDGET_HIT, ONETIME_BUDGET_HIT, JOB_SOURCE_NOT_VERIFIED, BILLING_PENDING, USER_PAUSED_CAMPAIGN, USER_DELETED_CAMPAIGN, TARGET_APPLICATIONS_HIT, OTHER]
Identifier for the problem. Value is:
Human-readable description of the problem.
Possible values: [SOURCE, HOSTED]
Type of job sponsored by the campaign. Either SOURCE (jobs gathered from the web, or sent to Indeed using an XML feed) or HOSTED (jobs posted using the Post a Job page).
ISO 4217 currency code of the currency for the campaign's budget.
Possible values: <= 255 characters
Click-tracking token appended to the job URL on sponsored clicks. Allows you to identify that the click is from Indeed, and identify the campaign that sponsored the click.
One-time budget limit for the campaign. You cannot set budgetOnetimeLimit and budgetMonthlyLimit at the same time.
Monthly budget limit for the campaign. You cannot set dailyAvgBudgetPerJob, budgetOnetimeLimit, and budgetMonthlyLimit at the same time.
Date when the campaign starts sponsoring jobs, in ISO 8601 YYYY-MM-DD format. Default is current date.
The campaign starts sponsoring jobs at the start of the specified day in US Central Time (CT, US/Central). The start date is on or after the current date in CT. For example, if the startDate is 2021-01-15, the campaign starts sponsoring on January 15, 2021 at 0:00 AM CT. If the start date is not provided or is the current date, the campaign starts sponsoring immediately.
Once the campaign is active and spending, you cannot update its startDate. If you wish to temporarily pause a campaign, set its status to PAUSED.
Date before when the campaign must stop sponsoring jobs, even if it has remaining unspent budget. Follows the ISO 8601 YYYY-MM-DD format.
A campaign with a one-time budget (budgetOnetimeLimit) always have either a fixedEndDate or a targetEndDate, but not both.
A campaign with a monthly recurring budget (budgetMonthlyLimit) may optionally have a fixedEndDate. Monthly recurring campaigns default to sponsoring jobs until you manually pause or delete the campaign. These are called "evergreen" campaigns. To stop the campaign at the start of a specified day, specify fixedEndDate.
The campaign stops sponsoring jobs at the start of the specified day in US Central Time (CT, US/Central). The fixedEndDate is atleast one day after the current date in CT, or the startDate of the campaign, if the campaign has one. For example, if the fixed end date is 2021-06-20, the campaign stops on June 20, 2021 at 0:00 AM CT.
Date before when the campaign should stop sponsoring jobs, though it can continue sponsoring past the specified date if it has not spent its budget yet. Follows the ISO 8601 YYYY-MM-DD format.
A campaign with a one-time budget (budgetOnetimeLimit) always have either a fixedEndDate or a targetEndDate, but not both. A campaign with a monthly recurring budget (budgetMonthlyLimit) cannot have a targetEndDate, only a fixedEndDate or no end date.
The campaign targets the start of the specified day in US Central Time (CT, US/Central). The target end date is at least one day after the current date in CT, or the startDate of the campaign, if the campaign has one. For example, if the target end date is 2021-06-20, the campaign targets June 20, 2021 at 0:00 AM CT.
Funding source for the campaign:
Possible values: [Bonus Sponsored Job Credits, Budget].
Sponsorship plan for campaigns funded by Annual Deals bonus credits. Returns "STANDARD" for standard campaigns, "PREMIUM" for premium plan campaigns, or "" (empty string) otherwise.
Possible values: [PREMIUM, STANDARD, `` (empty string)]
Daily average budget for each job for the campaign. Returned only for campaigns that use the Average Daily Budget (ADB) model. You cannot set dailyAvgBudgetPerJob and budgetMonthlyLimit at the same time.
{ "meta": { "status": 200, "errors": [ { "type": "RESOURCE_NOT_FOUND", "description": "Couldn't locate the requested resource" } ], "rootLocation": "https://apis.indeed.com/ads", "perPage": 25, "links": [ { "rel": "next", "href": "/v1/campaigns/3141592653589793" } ] }, "objective": { "objectiveType": "BALANCE" }, "data": { "Campaigns": [ { "Name": "Entry Level Jobs - Priority 1", "Id": "43e7dfe1bd4966a1", "Status": "ACTIVE", "NonSpendingReasons": [ { "type": "BEFORE_START_DATE", "description": "The current date in US Central Time is before the campaign start date" } ], "Type": "SOURCE", "CurrencyCode": "USD", "TrackingToken": "&source=indeed", "BudgetOnetimeLimit": 10000, "BudgetMonthlyLimit": 10000, "StartDate": "2021-01-15", "FixedEndDate": "2021-06-20", "TargetEndDate": "2021-05-01", "FundingSource": "Bonus Sponsored Job Credits", "SponsorshipPlan": "PREMIUM", "DailyAvgBudgetPerJob": 2000 } ] }}{ "meta": { "status": 200, "rootLocation": "https://apis.indeed.com/ads", "perPage": 30, "links": [ { "rel": "next", "href": "/v1/campaigns?start=ee4d641cab17b22c" }, { "rel": "'Entry Level Jobs - Priority 1' Info", "href": "/v1/campaigns/43e7dfe1bd4966a1" } ] }, "data": { "Campaigns": [ { "Name": "Entry Level Jobs - Priority 1", "Id": "43e7dfe1bd4966a1", "Status": "ACTIVE" } ] }}{ "meta": { "status": 200, "rootLocation": "https://apis.indeed.com/ads", "perPage": 30, "links": [ { "rel": "next", "href": "/v1/campaigns?start=ee4d641cab17b22c" }, { "rel": "'Entry Level Jobs - Priority 1' Info", "href": "/v1/campaigns/43e7dfe1bd4966a1" } ] }, "data": { "Campaigns": [ { "Name": "Entry Level Jobs - Priority 1", "Id": "43e7dfe1bd4966a1", "Status": "ACTIVE", "NonSpendingReasons": [ { "type": "USER_PAUSED_CAMPAIGN", "description": "Campaign has been paused, as requested." } ] } ] }}{ "meta": { "status": 200, "rootLocation": "https://apis.indeed.com/ads", "perPage": 2, "links": [ { "rel": "'Entry Level Jobs - Priority 1' Info", "herf": "/v1/campaigns/43e7dfe1bd4966a1" }, { "rel": "'Entry Level Jobs - Priority 2' Info", "href": "/v1/campaigns/43e7dfe1bd4966b1" } ] }, "data": { "Campaigns": [ { "Name": "Entry Level Jobs - Priority 1", "Id": "43e7dfe1bd4966a1", "Status": "ACTIVE" }, { "Name": "Entry Level Jobs - Priority 2", "Id": "43e7dfe1bd4966b1", "Status": "ACTIVE" } ] }}{ "meta": { "status": 200, "rootLocation": "https://apis.indeed.com/ads", "perPage": 30, "links": [ { "rel": "next", "href": "/v1/campaigns?start=ee4d641cab17b22c" }, { "rel": "'Entry Level Jobs - Priority 1' Info", "href": "/v1/campaigns/43e7dfe1bd4966a1" } ] }, "data": { "Campaigns": [ { "Name": "Entry Level Jobs - Priority 1", "Id": "43e7dfe1bd4966a1", "Status": "ACTIVE", "Type": "SOURCE", "CurrencyCode": "USD", "TrackingToken": "&source=indeed", "NonSpendingReasons": [ { "type": "USER_PAUSED_CAMPAIGN", "description": "Campaign has been paused, as requested." } ], "StartDate": "2023-05-10", "FixedEndDate": "2024-01-20", "FundingSource": "Bonus Sponsored Job Credits", "SponsorshipPlan": "PREMIUM", "DailyAvgBudgetPerJob": 2000 } ] }}A request parameter is not valid.
- application/json
- Schema
- Example (from schema)
- perPage - negative
- perPage - more than 500
Schema
Array [
]
Array [
up: The related resource is a collection that contains the requested resource, or an entity that the requested resource is attached to.next: The next page of entries in a paginated result.prev: The previous page of entries in a paginated result.]
meta
object
Response-related metadata.
HTTP status code of the response.
errors
object[]
Any errors that prevented successful processing of the request. If there were no errors, the value is null.
Name of the error.
Human-readable description of the problem.
Base URL of the Sponsored Jobs API.
For endpoints that return paginated results, the effective maximum number of entries returned on one page. The value may be smaller than the maximum you requested with the perPage parameter. If the endpoint returns a single result or doesn't paginate, the value is null.
links
object[]
Resources related to the requested resource.
The relationship between the requested resource and the related resource. These values are commonly used:
However, the value may also be an arbitrary string describing the relationship, such as Campaign Info.
Endpoint URL of the related resource. Can contain query string parameters. To get the complete URL, append the href to rootLocation.
{ "meta": { "status": 200, "errors": [ { "type": "RESOURCE_NOT_FOUND", "description": "Couldn't locate the requested resource" } ], "rootLocation": "https://apis.indeed.com/ads", "perPage": 25, "links": [ { "rel": "next", "href": "/v1/campaigns/3141592653589793" } ] }, "data": null}{ "meta": { "status": 400, "errors": [ { "type": "INVALID_REQUEST", "description": "Bad parameter value: perPage should be a positive number. For example: perPage=5" } ], "rootLocation": null, "perPage": null, "links": null }, "data": null}{ "meta": { "status": 400, "errors": [ { "type": "INVALID_REQUEST", "description": "perPage: perPage cannot be greater than 500" } ], "rootLocation": null, "perPage": null, "links": null }, "data": null}Request did not include a valid access token:
-
The
Authorizationheader is missing or malformed. Include the access token using theBearerscheme — for example,Authorization: Bearer XYZ. -
The access token is malformed. When building requests manually, check that you copied the token without missing or extra characters at the start or end.
-
The access token has expired. Tokens expire after one hour (3,600 seconds). Get a new token using your client credentials (2-legged OAuth) or a refresh token (3-legged OAuth).
- application/json
- Schema
- Example (from schema)
- Example
Schema
Array [
]
Array [
up: The related resource is a collection that contains the requested resource, or an entity that the requested resource is attached to.next: The next page of entries in a paginated result.prev: The previous page of entries in a paginated result.]
meta
object
Response-related metadata.
HTTP status code of the response.
errors
object[]
Any errors that prevented successful processing of the request. If there were no errors, the value is null.
Name of the error.
Human-readable description of the problem.
Base URL of the Sponsored Jobs API.
For endpoints that return paginated results, the effective maximum number of entries returned on one page. The value may be smaller than the maximum you requested with the perPage parameter. If the endpoint returns a single result or doesn't paginate, the value is null.
links
object[]
Resources related to the requested resource.
The relationship between the requested resource and the related resource. These values are commonly used:
However, the value may also be an arbitrary string describing the relationship, such as Campaign Info.
Endpoint URL of the related resource. Can contain query string parameters. To get the complete URL, append the href to rootLocation.
{ "meta": { "status": 200, "errors": [ { "type": "RESOURCE_NOT_FOUND", "description": "Couldn't locate the requested resource" } ], "rootLocation": "https://apis.indeed.com/ads", "perPage": 25, "links": [ { "rel": "next", "href": "/v1/campaigns/3141592653589793" } ] }, "data": null}{ "meta": { "status": 401, "errors": [ { "type": "INVALID_TOKEN", "description": "Invalid OAuth access token." } ], "rootLocation": "https://apis.indeed.com/ads", "perPage": null, "links": null }, "data": null}The access token was valid but can't be used with this API. Inspect the error returned in the meta.errors for details.
| Error type | Meaning and common causes |
|---|---|
INSUFFICIENT_SCOPE | The access token does not have the OAuth v2 token scope required for this API endpoint. For common causes, see FAQ and troubleshooting. |
NOT_EMPLOYER_ACCESS_TOKEN | This endpoint requires an access token that represents an employer. That is, you must specify the employer parameter when requesting the access token. You need to do this for the majority of the Sponsored Jobs API endpoints. |
LEGACY_ACCESS_TOKEN_NOT_ALLOWED | Sponsored Jobs API no longer supports access tokens that you get through legacy OAuth endpoints. For updated endpoints, see Integrate with Indeed and call APIs |
- application/json
- Schema
- Example (from schema)
- Example
Schema
Array [
]
Array [
up: The related resource is a collection that contains the requested resource, or an entity that the requested resource is attached to.next: The next page of entries in a paginated result.prev: The previous page of entries in a paginated result.]
meta
object
Response-related metadata.
HTTP status code of the response.
errors
object[]
Any errors that prevented successful processing of the request. If there were no errors, the value is null.
Name of the error.
Human-readable description of the problem.
Base URL of the Sponsored Jobs API.
For endpoints that return paginated results, the effective maximum number of entries returned on one page. The value may be smaller than the maximum you requested with the perPage parameter. If the endpoint returns a single result or doesn't paginate, the value is null.
links
object[]
Resources related to the requested resource.
The relationship between the requested resource and the related resource. These values are commonly used:
However, the value may also be an arbitrary string describing the relationship, such as Campaign Info.
Endpoint URL of the related resource. Can contain query string parameters. To get the complete URL, append the href to rootLocation.
{ "meta": { "status": 200, "errors": [ { "type": "RESOURCE_NOT_FOUND", "description": "Couldn't locate the requested resource" } ], "rootLocation": "https://apis.indeed.com/ads", "perPage": 25, "links": [ { "rel": "next", "href": "/v1/campaigns/3141592653589793" } ] }, "data": null}{ "meta": { "status": 403, "errors": [ { "type": "INSUFFICIENT_SCOPE", "description": "Access token does not have permission to access this API." } ], "rootLocation": "https://apis.indeed.com/ads", "perPage": null, "links": null }, "data": null}Unexpected error. The problem is sometimes temporary. The same request can succeed after retrying.
If retrying the request does not help, a problem with parsing the request might have occurred. Make sure that all the required parameters are present and that all parameters are correctly formatted.
- application/json
- Schema
- Example (from schema)
- Example
Schema
Array [
]
Array [
up: The related resource is a collection that contains the requested resource, or an entity that the requested resource is attached to.next: The next page of entries in a paginated result.prev: The previous page of entries in a paginated result.]
meta
object
Response-related metadata.
HTTP status code of the response.
errors
object[]
Any errors that prevented successful processing of the request. If there were no errors, the value is null.
Name of the error.
Human-readable description of the problem.
Base URL of the Sponsored Jobs API.
For endpoints that return paginated results, the effective maximum number of entries returned on one page. The value may be smaller than the maximum you requested with the perPage parameter. If the endpoint returns a single result or doesn't paginate, the value is null.
links
object[]
Resources related to the requested resource.
The relationship between the requested resource and the related resource. These values are commonly used:
However, the value may also be an arbitrary string describing the relationship, such as Campaign Info.
Endpoint URL of the related resource. Can contain query string parameters. To get the complete URL, append the href to rootLocation.
{ "meta": { "status": 200, "errors": [ { "type": "RESOURCE_NOT_FOUND", "description": "Couldn't locate the requested resource" } ], "rootLocation": "https://apis.indeed.com/ads", "perPage": 25, "links": [ { "rel": "next", "href": "/v1/campaigns/3141592653589793" } ] }, "data": null}{ "meta": { "status": 500, "errors": [ { "type": "INTERNAL_SERVER_ERROR", "description": "Failed to process the request." } ], "rootLocation": "https://apis.indeed.com/ads", "perPage": null, "links": null }, "data": null}